<?php
/**
 * The admin-specific functionality of the plugin.
 *
 * Defines the plugin name, version, and two examples hooks for how to
 * enqueue the admin-specific stylesheet and JavaScript.
 *
 * @package    litesmash
 * @subpackage litesmash/includes
 * @author     litesmash <contact@litesmash.com>
 */
class LiteSmash_Admin {

	/**
	 * The ID of this plugin.
	 */
	private $plugin_name;

	/**
	 * The version of this plugin.
	 */
	private $version;

	/**
	 * Initialize the class and set its properties.
	 */
	public function __construct( $plugin_name, $version ) {

		$this->plugin_name = $plugin_name.'_admin';
		$this->version = $version;

	}

	/**
	 * Register the stylesheets for the admin area.
	 */
	public function enqueue_styles() {
		//wp_enqueue_style( $this->plugin_name.'-bootstrap', plugin_dir_url( __FILE__ ) . 'css/bootstrap.min.css', array(), $this->version, 'all' );
		wp_enqueue_style( $this->plugin_name.'-ls-admin', plugin_dir_url( __FILE__ ) . 'css/litesmash-admin.css', array(), $this->version, 'all' );
		//wp_enqueue_style( $this->plugin_name.'-tailwind', 'https://cdnjs.cloudflare.com/ajax/libs/tailwindcss/2.0.3/tailwind.min.css', array(), $this->version, 'all' );
    }

	/**
	 * Register the JavaScript for the admin area.
	 */
	public function enqueue_scripts() {
		wp_enqueue_script( $this->plugin_name.'-ls-admin', plugin_dir_url( __FILE__ ) . 'js/litesmash-admin.js', array( 'jquery' ), $this->version, false );
	}
	/**
	 * Register admin menu.
	 */
	public function ls_admin_menu() {
		add_menu_page('ListSmasher', 'ListSmasher', 'manage_options', 'listsmasher', array($this, 'ls_admin_page') );
		//add_submenu_page('litesmasher', 'ListBuilder', 'ListBuilder ', 'manage_options', 'ls-list-builder', array($this, 'ls_display') );
	}

    /**
	 * newcrossinn setting page.
	 */	
	public function ls_admin_page() {
		include_once( 'partials/litesmash-welcome.php' );
	}	

	public function ls_display() {
		include_once( 'partials/litesmash-admin-display.php' );
	}	

}
