<?php
/**
 *
 * @link              http://google.com
 * @since             1.0.0
 * @package           listsmasher
 *
 * @wordpress-plugin
 * Plugin Name:       ListSmasher
 * Plugin URI:        http://google.com
 * Description:       ListSmasher wordpress plugin.
 * Version:           1.0.0
 * Author:            ListSmasher
 * Author URI:        http://google.com
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       listsmasher
 * Domain Path:       /languages
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

/**
 * Currently plugin version.
 * Start at version 1.0.0 and use SemVer - https://semver.org
 * Rename this for your plugin and update it as you release new versions.
 */
define('LS_VERSION', '1.0.0' );
define('LS_PLUGIN_PATH', plugin_dir_path(__FILE__));
define('LS_PLUGIN_FILE', __FILE__);
define('LS_PLUGIN_URL', plugin_dir_url( __FILE__));
define ( 'LSTPDF_PREFIX', 'lstpdf' );

/**
 * The code that runs during plugin activation.
 * This action is documented in includes/class-litesmash-activator.php
 */
function activate_litesmash($network_wide) {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-litesmash-activator.php';
	LiteSmash_Activator::activate($network_wide);
}

/**
 * The code that runs during plugin deactivation.
 * This action is documented in includes/class-litesmash-deactivator.php
 */
function deactivate_litesmash() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-litesmash-deactivator.php';
	LiteSmash_Deactivator::deactivate();
}

register_activation_hook( __FILE__, 'activate_litesmash' );
register_deactivation_hook( __FILE__, 'deactivate_litesmash' );

/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path( __FILE__ ) . 'includes/class-litesmash.php';

/**
 * Begins execution of the plugin.
 *
 * Since everything within the plugin is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 *
 * @since    1.0.0
 */
function run_litesmash() {

	$litesmash = new LiteSmash();
	$litesmash->run();

}
run_litesmash();

require plugin_dir_path( __FILE__ ) . 'ls-viral-campaign/functions/func-viral-builder.php';

function auto_resp_automatic_email_cron()
{
	global $wpdb;
	
	$option_name = 'wpls_auto_resp_setting';
	$listid = get_option( $option_name );
	
	if(!empty($listid))
	{
		$ls_list_builder = $wpdb->prefix."list_builder";
		$list_builder = $wpdb->get_results ("SELECT * from  " . $ls_list_builder);
		
		foreach($list_builder as $list_builders)
		{
			$ss = $list_builders->email;
			$ls_traffic_lists = $wpdb->prefix."ls_traffic_leads";
			$ls_lists = $wpdb->get_results ("SELECT * from  " . $ls_traffic_lists."  WHERE listid = '".$listid."' AND email = '".$ss."' ORDER BY id DESC");
			
			if(count($ls_lists) > 0) 
			{ 
			}
			else
			{
				$ls_email_datas=array(
									'listid' => $listid,
									'email' => $list_builders->email,
									'updated_at' => date('Y-m-d-H:i:s'), 
									'created_at' => date('Y-m-d-H:i:s'), 
								   );

				$wpdb->insert( $ls_traffic_lists, $ls_email_datas);
			}			
		}
	}
}

function wpls_cron_schedules( $schedules ) 
{
	$schedules[ 'every5minute' ] = array( 'interval' => 5 * 60, 'display' => __( 'Every 5 Minute', 'list_auto_email' ) );

	return $schedules;
}

add_filter( 'cron_schedules', 'wpls_cron_schedules' );

if (! wp_next_scheduled ( 'every5minute_list_auto_email' )) 
{
	wp_schedule_event(time(), 'every5minute', 'every5minute_list_auto_email');
}

add_action('every5minute_list_auto_email', 'auto_resp_automatic_email_cron');